From 8afce572b7849c040812892eec2a8cd0d1e34b4c Mon Sep 17 00:00:00 2001
From: Felix Fietkau <nbd@openwrt.org>
Date: Fri, 12 Dec 2014 14:52:29 +0000
Subject: [PATCH] igmpproxy: do not attempt to ifstatus error messages as json

Signed-off-by: Felix Fietkau <nbd@openwrt.org>

SVN-Revision: 43660
---
 package/network/services/igmpproxy/files/igmpproxy.init | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/package/network/services/igmpproxy/files/igmpproxy.init b/package/network/services/igmpproxy/files/igmpproxy.init
index dd2e430b51..3ff8f19dad 100644
--- a/package/network/services/igmpproxy/files/igmpproxy.init
+++ b/package/network/services/igmpproxy/files/igmpproxy.init
@@ -39,7 +39,10 @@ igmp_add_phyint() {
 	config_get direction $1 direction
 	config_get altnets $1 altnet
 
-	json_load "$(ifstatus $network)"
+	local status="$(ubus -S call "network.interface.$network" status)"
+	[ -n "$status" ] || return
+
+	json_load "$status"
 	json_get_var device l3_device
 	json_get_var up up
 
-- 
2.30.2